errors in translate.py script

Paul Howarth paul at city-fan.org
Mon Feb 28 18:43:25 UTC 2005


Hasan Mahmood wrote:
> Hello,
> 
> Ever since I installed FC3, I can't run any of my redhat scripts
> (printer config, etc.). I get this error in translate.py (when running
> up2date, for instance):
> 
> Traceback (most recent call last):
>   File "/usr/sbin/up2date", line 23, in ?
>     from up2date_client import up2dateErrors
>   File "/usr/share/rhn/up2date_client/up2dateErrors.py", line 11, in ?
>     import up2dateLog
>   File "/usr/share/rhn/up2date_client/up2dateLog.py", line 7, in ?
>     import config
>   File "/usr/share/rhn/up2date_client/config.py", line 19, in ?
>     from rhpl.translate import _, N_
>   File "/usr/lib/python2.3/site-packages/rhpl/translate.py", line 222, in ?
>     cat = i18n()
>   File "/usr/lib/python2.3/site-packages/rhpl/translate.py", line 81,
> in __init__
>     self.setDomain(domain)
>   File "/usr/lib/python2.3/site-packages/rhpl/translate.py", line 106,
> in setDomain
>     self.updateCachedCatPaths()
>   File "/usr/lib/python2.3/site-packages/rhpl/translate.py", line 150,
> in updateCachedCatPaths
>     encoding = locale.nl_langinfo (locale.CODESET)
> AttributeError: 'module' object has no attribute 'nl_langinfo'
> 
> Anyone know of a fix for this?

Does this problem still happen if you set your locale to "C"?

# LANG=C up2date

Paul.




More information about the users mailing list